options:
  servername:
    type: string
    default: 'myvhost'
    description: ServerName for vhost
  vhost_http_template:
    type: string
    default: ''
    description: Apache vhost template (base64 encoded).
  vhost_https_template:
    type: string
    default: ''
    description: Apache vhost template (base64 encoded).
  enable_modules:
    type: string
    default: ''
    description: List of modules to enable
  disable_modules:
    type: string
    default: 'status autoindex'
    description: List of modules to disable
  mpm_type:
    type: string
    default: 'worker'
    description: worker or prefork
  ssl_keylocation:
    type: string
    default: ''
    description: Location of ssl key
  ssl_certlocation:
    type: string
    default: ''
    description: Location of ssl cert
  ssl_chainlocation:
    type: string
    default: ''
    description: Location of ssl chain file
  lb_balancer_timeout:
    type: int
    default: 60
    description: >
       How long the backends in mod_proxy_balancer will timeout, in seconds
  mpm_startservers:
    type: int
    default: 2
    description: Add desc
  mpm_minsparethreads:
    type: int
    default: 25
    description: Add desc
  mpm_maxsparethreads:
    type: int
    default: 75
    description: Add desc
  mpm_threadlimit:
    type: int
    default: 64
    description: Add desc
  mpm_threadsperchild:
    type: int
    default: 64
    description: Add desc
  mpm_serverlimit:
    type: int
    default: 128
    description: Add desc
  mpm_maxclients:
    type: int
    default: 2048
    description: Add desc
  mpm_maxrequestsperchild:
    type: int
    default: 0
    description: Add desc
  nagios_context:
    default: "juju"
    type: string
    description: >
        Used by the nrpe-external-master subordinate charm.
        A string that will be prepended to instance name to set the host name
        in nagios. So for instance the hostname would be something like:
            juju-postgresql-0
        If you're running multiple environments with the same services in them
        this allows you to differentiate between them.
  nagios_check_http_params:
     default: ""
     type: string
     description: The parameters to pass to the nrpe plugin check_http.
  logrotate_rotate:
    type: string
    description: daily, weekly, monthly, or yearly?
    default: "daily"
  logrotate_count:
    type: int
    description: The number of days we want to retain logs for
    default: 365
  logrotate_dateext:
    type: boolean
    description: >
      Use daily extension like YYYMMDD instead of simply adding a number
    default: True
  use_rsyslog:
    type: boolean
    description: >-
      Change logging behaviour to log both access and error logs via rsyslog
    default: False
